
Redmine - Defect #598

Statistics for subversion is not working

2008-02-04 11:01 - ChunChang (Nagaharu) Lo

Status: Closed Start date: 2008-02-04

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:  Affected version:  

Description

Don't know if this feature works before. But today after migrating to 1118, I get the following error messages:

Processing RepositoriesController#stats (for 220.130.243.97 at 2008-02-04 04:40:42) [GET]

  Session ID: d5a3e526662c6c0f166695c0548dd430

  Parameters: {"action"=>"stats", "id"=>"diet", "controller"=>"repositories"}

Rendering template within layouts/base

Rendering repositories/stats

Completed in 0.04649 (21 reqs/sec) | Rendering: 0.03791 (81%) | DB: 0.00000 (0%) | 200 OK [http://

redmine.itcac.com.tw/repositories/stats/diet]

Processing RepositoriesController#graph (for 220.130.243.97 at 2008-02-04 04:40:43) [GET]

  Session ID: d5a3e526662c6c0f166695c0548dd430

  Parameters: {"graph"=>"commits_per_month", "action"=>"graph", "id"=>"diet", "controller"=>"repos

itories"}

NameError (undefined local variable or method `transitive' for <UNDEFINED> ... </>:REXML::Document

):

    /usr/lib/ruby/1.8/rexml/document.rb:186:in `write'

    /lib/SVG/Graph/Graph.rb:211:in `burn'

    /app/controllers/repositories_controller.rb:239:in `graph_commits_per_month'

    /app/controllers/repositories_controller.rb:163:in `graph'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_ac

tion_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handl
e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispa

tch_cgi'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatc

h'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:101:in `process_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:149:in `with_signal_handler'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:99:in `process_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:77:in `process_each_request'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:612:in `each_cgi'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:609:in `each'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:609:in `each_cgi'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:76:in `process_each_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:50:in `process!'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:24:in `process!'

    /public/dispatch.fcgi:24

Rendering /var/www/html/redmine/public/500.html (500 Internal Server Error)

Processing RepositoriesController#graph (for 220.130.243.97 at 2008-02-04 04:40:44) [GET]

  Session ID: d5a3e526662c6c0f166695c0548dd430

  Parameters: {"graph"=>"commits_per_author", "action"=>"graph", "id"=>"diet", "controller"=>"repo

sitories"}

NameError (undefined local variable or method `transitive' for <UNDEFINED> ... </>:REXML::Document

):

    /usr/lib/ruby/1.8/rexml/document.rb:186:in `write'

    /lib/SVG/Graph/Graph.rb:211:in `burn'

    /app/controllers/repositories_controller.rb:279:in `graph_commits_per_author'

    /app/controllers/repositories_controller.rb:165:in `graph'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:1158:in `perform_ac

tion_without_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:697:in `call_fil

ters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:689:in `perform_

action_without_benchmark'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/1.8/benchmark.rb:293:in `measure'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/benchmarking.rb:68:in `perf

orm_action_without_rescue'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/rescue.rb:199:in `perform_a

ction_without_caching'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:678:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/connection_adapters/abstract/

query_cache.rb:33:in `cache'

    /usr/lib/ruby/gems/1.8/gems/activerecord-2.0.2/lib/active_record/query_cache.rb:8:in `cache'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/caching.rb:677:in `perform_

action'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `send'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:524:in `process_wit

hout_filters'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/filters.rb:685:in `process_

without_session_management_support'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/session_management.rb:123:i

n `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/base.rb:388:in `process'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:171:in `handl

e_request'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:115:in `dispa

tch'

    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:126:in `dispa

tch_cgi'
    /usr/lib/ruby/gems/1.8/gems/actionpack-2.0.2/lib/action_controller/dispatcher.rb:9:in `dispatc

h'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:101:in `process_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:149:in `with_signal_handler'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:99:in `process_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:77:in `process_each_request'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:612:in `each_cgi'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:609:in `each'

    /usr/lib/ruby/gems/1.8/gems/fcgi-0.8.7/lib/fcgi.rb:609:in `each_cgi'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:76:in `process_each_request'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:50:in `process!'

    /usr/lib/ruby/gems/1.8/gems/rails-2.0.2/lib/fcgi_handler.rb:24:in `process!'

    /public/dispatch.fcgi:24

Rendering /var/www/html/redmine/public/500.html (500 Internal Server Error)

Related issues:

Is duplicate of Redmine - Defect #182: Stats not working Closed

Has duplicate Redmine - Defect #1239: Repository Statistics doesn't show up Closed 2008-05-15

History

#1 - 2008-02-04 11:08 - Michael Pirogov

/usr/lib/ruby/1.8/rexml/document.rb

line 186.

Change if transitive to if trans

Not Redmine's bug, but ruby.

#2 - 2008-02-04 18:42 - Jean-Philippe Lang

- Status changed from New to Closed

As Michael said, it's a rexml bug.

http://www.germane-software.com/projects/rexml/ticket/115
